OpenCV: cv::viz::Color Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::viz::Color Class Reference
3D Visualizer

This class represents color in BGR order. More...

`#include "types.hpp"`

Inheritance diagram for cv::viz::Color:

## Public Member Functions
| Color ()
| Color (double gray)
| The three channels will have the same value equal to gray. More...
| Color (double blue, double green, double red)
| Color (const Scalar &color)
| operator Vec3b () const
Public Member Functions inherited from cv::Scalar_< double >
| Scalar_ ()
| default constructor More...
| Scalar_ (double v0, double v1, double v2=0, double v3=0)
| Scalar_ (double v0)
| Scalar_ (const Vec< _Tp2, cn > &v)
Scalar_< double > | conj () const
| returns (v0, -v1, -v2, -v3) More...
bool | isReal () const
| returns true iff v1 == v2 == v3 == 0 More...
Scalar_< double > | mul (const Scalar_< double > &a, double scale=1) const
| per-element product More...
| operator Scalar_< T2 > () const
| conversion to another data type More...
Public Member Functions inherited from cv::Vec< double, 4 >
| Vec ()
| default constructor More...
| Vec (double v0)
| 1-element vector constructor More...
| Vec (double v0, double v1)
| 2-element vector constructor More...
| Vec (double v0, double v1, double v2)
| 3-element vector constructor More...
| Vec (double v0, double v1, double v2, double v3)
| 4-element vector constructor More...
| Vec (double v0, double v1, double v2, double v3, double v4)
| 5-element vector constructor More...
| Vec (double v0, double v1, double v2, double v3, double v4, double v5)
| 6-element vector constructor More...
| Vec (double v0, double v1, double v2, double v3, double v4, double v5, double v6)
| 7-element vector constructor More...
| Vec (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7)
| 8-element vector constructor More...
| Vec (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8)
| 9-element vector constructor More...
| Vec (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8, double v9)
| 10-element vector constructor More...
| Vec (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8, double v9, double v10, double v11, double v12, double v13)
| 14-element vector constructor More...
| Vec (const double *values)
| Vec (const Vec< double, cn > &v)
| Vec (const Matx< double, cn, 1 > &a, const Matx< double, cn, 1 > &b, Matx_AddOp)
| Vec (const Matx< double, cn, 1 > &a, const Matx< double, cn, 1 > &b, Matx_SubOp)
| Vec (const Matx< double, cn, 1 > &a, _T2 alpha, Matx_ScaleOp)
Vec | conj () const
| conjugation (makes sense for complex numbers and quaternions) More...
Vec | cross (const Vec &v) const
Vec | mul (const Vec< double, cn > &v) const
| per-element multiplication More...
| operator Vec< T2, cn > () const
| conversion to another data type More...
const double & | operator() (int i) const
double & | operator() (int i)
const double & | operator[] (int i) const
double & | operator[] (int i)
Public Member Functions inherited from cv::Matx< double, cn, 1 >
| Matx ()
| default constructor More...
| Matx (double v0)
| 1x1 matrix More...
| Matx (double v0, double v1)
| 1x2 or 2x1 matrix More...
| Matx (double v0, double v1, double v2)
| 1x3 or 3x1 matrix More...
| Matx (double v0, double v1, double v2, double v3)
| 1x4, 2x2 or 4x1 matrix More...
| Matx (double v0, double v1, double v2, double v3, double v4)
| 1x5 or 5x1 matrix More...
| Matx (double v0, double v1, double v2, double v3, double v4, double v5)
| 1x6, 2x3, 3x2 or 6x1 matrix More...
| Matx (double v0, double v1, double v2, double v3, double v4, double v5, double v6)
| 1x7 or 7x1 matrix More...
| Matx (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7)
| 1x8, 2x4, 4x2 or 8x1 matrix More...
| Matx (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8)
| 1x9, 3x3 or 9x1 matrix More...
| Matx (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8, double v9)
| 1x10, 2x5 or 5x2 or 10x1 matrix More...
| Matx (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8, double v9, double v10, double v11)
| 1x12, 2x6, 3x4, 4x3, 6x2 or 12x1 matrix More...
| Matx (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8, double v9, double v10, double v11, double v12, double v13)
| 1x14, 2x7, 7x2 or 14x1 matrix More...
| Matx (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8, double v9, double v10, double v11, double v12, double v13, double v14, double v15)
| 1x16, 4x4 or 16x1 matrix More...
| Matx (const double *vals)
| initialize from a plain array More...
| Matx (const Matx< double, m, n > &a, const Matx< double, m, n > &b, Matx_AddOp)
| Matx (const Matx< double, m, n > &a, const Matx< double, m, n > &b, Matx_SubOp)
| Matx (const Matx< double, m, n > &a, _T2 alpha, Matx_ScaleOp)
| Matx (const Matx< double, m, n > &a, const Matx< double, m, n > &b, Matx_MulOp)
| Matx (const Matx< double, m, n > &a, const Matx< double, m, n > &b, Matx_DivOp)
| Matx (const Matx< double, m, l > &a, const Matx< double, l, n > &b, Matx_MatMulOp)
| Matx (const Matx< double, n, m > &a, Matx_TOp)
Matx< double, m, 1 > | col (int i) const
| extract the matrix column More...
double | ddot (const Matx< double, m, n > &v) const
| dot product computed in double-precision arithmetics More...
diag_type | diag () const
| extract the matrix diagonal More...
Matx< double, m, n > | div (const Matx< double, m, n > &a) const
| divide two matrices element-wise More...
double | dot (const Matx< double, m, n > &v) const
| dot product computed with the default precision More...
Matx< double, m1, n1 > | get_minor (int i, int j) const
| extract part of the matrix More...
Matx< double, n, m > | inv (int method=DECOMP_LU, bool *p_is_ok=NULL) const
| invert the matrix More...
Matx< double, m, n > | mul (const Matx< double, m, n > &a) const
| multiply two matrices element-wise More...
| operator Matx< T2, m, n > () const
| conversion to another data type More...
const double & | operator() (int i, int j) const
| element access More...
double & | operator() (int i, int j)
const double & | operator() (int i) const
| 1D element access More...
double & | operator() (int i)
Matx< double, m1, n1 > | reshape () const
| change the matrix shape More...
Matx< double, 1, n > | row (int i) const
| extract the matrix row More...
Matx< double, n, l > | solve (const Matx< double, m, l > &rhs, int flags=DECOMP_LU) const
| solve linear system More...
Vec< double, n > | solve (const Vec< double, m > &rhs, int method) const
Matx< double, n, m > | t () const
| transpose the matrix More...

## Static Public Member Functions
static Color | amethyst ()
static Color | apricot ()
static Color | azure ()
static Color | black ()
static Color | bluberry ()
static Color | blue ()
static Color | brown ()
static Color | celestial_blue ()
static Color | chartreuse ()
static Color | cherry ()
static Color | cyan ()
static Color | gold ()
static Color | gray ()
static Color | green ()
static Color | indigo ()
static Color | lime ()
static Color | magenta ()
static Color | maroon ()
static Color | mlab ()
static Color | navy ()
static Color | not_set ()
static Color | olive ()
static Color | orange ()
static Color | orange_red ()
static Color | pink ()
static Color | purple ()
static Color | raspberry ()
static Color | red ()
static Color | rose ()
static Color | silver ()
static Color | teal ()
static Color | turquoise ()
static Color | violet ()
static Color | white ()
static Color | yellow ()
Static Public Member Functions inherited from cv::Scalar_< double >
static Scalar_< double > | all (double v0)
| returns a scalar with all elements set to v0 More...
Static Public Member Functions inherited from cv::Vec< double, 4 >
static Vec | all (double alpha)
Static Public Member Functions inherited from cv::Matx< double, cn, 1 >
static Matx | all (double alpha)
static Matx | diag (const diag_type &d)
static Matx | eye ()
static Matx | ones ()
static Matx | randn (double a, double b)
static Matx | randu (double a, double b)
static Matx | zeros ()

## Additional Inherited Members
Public Types inherited from cv::Vec< double, 4 >
enum |
typedef double | value_type
Public Types inherited from cv::Matx< double, cn, 1 >
enum |
typedef Matx< double, shortdim, 1 > | diag_type
typedef Matx< double, m, n > | mat_type
typedef double | value_type
Public Attributes inherited from cv::Matx< double, cn, 1 >
double | val [m *n]
Related Functions inherited from cv::Vec< double, 4 >
static Vec< _Tp1, cn > & | operator+= (Vec< _Tp1, cn > &a, const Vec< _Tp2, cn > &b)
static Vec< _Tp1, cn > & | operator-= (Vec< _Tp1, cn > &a, const Vec< _Tp2, cn > &b)
static Vec< double, cn > | operator+ (const Vec< double, cn > &a, const Vec< double, cn > &b)
static Vec< double, cn > | operator- (const Vec< double, cn > &a, const Vec< double, cn > &b)
static Vec< double, cn > | operator- (const Vec< double, cn > &a)
static Vec< double, cn > & | operator*= (Vec< double, cn > &a, int alpha)
static Vec< double, cn > & | operator*= (Vec< double, cn > &a, float alpha)
static Vec< double, cn > & | operator*= (Vec< double, cn > &a, double alpha)
Vec< double, 4 > & | operator*= (Vec< double, 4 > &v1, const Vec< double, 4 > &v2)
static Vec< double, cn > & | operator/= (Vec< double, cn > &a, int alpha)
static Vec< double, cn > & | operator/= (Vec< double, cn > &a, float alpha)
static Vec< double, cn > & | operator/= (Vec< double, cn > &a, double alpha)
static Vec< double, cn > | operator* (const Vec< double, cn > &a, int alpha)
static Vec< double, cn > | operator* (int alpha, const Vec< double, cn > &a)
static Vec< double, cn > | operator* (const Vec< double, cn > &a, float alpha)
static Vec< double, cn > | operator* (float alpha, const Vec< double, cn > &a)
static Vec< double, cn > | operator* (const Vec< double, cn > &a, double alpha)
static Vec< double, cn > | operator* (double alpha, const Vec< double, cn > &a)
Vec< double, 4 > | operator* (const Vec< double, 4 > &v1, const Vec< double, 4 > &v2)
static Vec< double, cn > | operator/ (const Vec< double, cn > &a, int alpha)
static Vec< double, cn > | operator/ (const Vec< double, cn > &a, float alpha)
static Vec< double, cn > | operator/ (const Vec< double, cn > &a, double alpha)
Related Functions inherited from cv::Matx< double, cn, 1 >
static Matx< _Tp1, m, n > & | operator+= (Matx< _Tp1, m, n > &a, const Matx< _Tp2, m, n > &b)
static Matx< _Tp1, m, n > & | operator-= (Matx< _Tp1, m, n > &a, const Matx< _Tp2, m, n > &b)
static Matx< double, m, n > | operator+ (const Matx< double, m, n > &a, const Matx< double, m, n > &b)
static Matx< double, m, n > | operator- (const Matx< double, m, n > &a, const Matx< double, m, n > &b)
static Matx< double, m, n > | operator- (const Matx< double, m, n > &a)
static Matx< double, m, n > & | operator*= (Matx< double, m, n > &a, int alpha)
static Matx< double, m, n > & | operator*= (Matx< double, m, n > &a, float alpha)
static Matx< double, m, n > & | operator*= (Matx< double, m, n > &a, double alpha)
static Matx< double, m, n > | operator* (const Matx< double, m, n > &a, int alpha)
static Matx< double, m, n > | operator* (const Matx< double, m, n > &a, float alpha)
static Matx< double, m, n > | operator* (const Matx< double, m, n > &a, double alpha)
static Matx< double, m, n > | operator* (int alpha, const Matx< double, m, n > &a)
static Matx< double, m, n > | operator* (float alpha, const Matx< double, m, n > &a)
static Matx< double, m, n > | operator* (double alpha, const Matx< double, m, n > &a)
static Matx< double, m, n > | operator* (const Matx< double, m, l > &a, const Matx< double, l, n > &b)
static Vec< double, m > | operator* (const Matx< double, m, n > &a, const Vec< double, n > &b)
static bool | operator== (const Matx< double, m, n > &a, const Matx< double, m, n > &b)
static bool | operator!= (const Matx< double, m, n > &a, const Matx< double, m, n > &b)

## Detailed Description

This class represents color in BGR order.

## Constructor & Destructor Documentation

## ◆ Color() [1/4]

cv::viz::Color::Color | ( |  | ) |

## ◆ Color() [2/4]

cv::viz::Color::Color | ( | double | gray | ) |

The three channels will have the same value equal to gray.

## ◆ Color() [3/4]

cv::viz::Color::Color | ( | double | blue,
|  | double | green,
|  | double | red
| ) |  |

## ◆ Color() [4/4]

cv::viz::Color::Color | ( | const Scalar & | color | ) |

## Member Function Documentation

## ◆ amethyst()

static Color cv::viz::Color::amethyst | ( |  | ) |
| static

## ◆ apricot()

static Color cv::viz::Color::apricot | ( |  | ) |
| static

## ◆ azure()

static Color cv::viz::Color::azure | ( |  | ) |
| static

## ◆ black()

static Color cv::viz::Color::black | ( |  | ) |
| static

## ◆ bluberry()

static Color cv::viz::Color::bluberry | ( |  | ) |
| static

## ◆ blue()

static Color cv::viz::Color::blue | ( |  | ) |
| static

## ◆ brown()

static Color cv::viz::Color::brown | ( |  | ) |
| static

## ◆ celestial_blue()

static Color cv::viz::Color::celestial_blue | ( |  | ) |
| static

## ◆ chartreuse()

static Color cv::viz::Color::chartreuse | ( |  | ) |
| static

## ◆ cherry()

static Color cv::viz::Color::cherry | ( |  | ) |
| static

## ◆ cyan()

static Color cv::viz::Color::cyan | ( |  | ) |
| static

## ◆ gold()

static Color cv::viz::Color::gold | ( |  | ) |
| static

## ◆ gray()

static Color cv::viz::Color::gray | ( |  | ) |
| static

## ◆ green()

static Color cv::viz::Color::green | ( |  | ) |
| static

## ◆ indigo()

static Color cv::viz::Color::indigo | ( |  | ) |
| static

## ◆ lime()

static Color cv::viz::Color::lime | ( |  | ) |
| static

## ◆ magenta()

static Color cv::viz::Color::magenta | ( |  | ) |
| static

## ◆ maroon()

static Color cv::viz::Color::maroon | ( |  | ) |
| static

## ◆ mlab()

static Color cv::viz::Color::mlab | ( |  | ) |
| static

## ◆ navy()

static Color cv::viz::Color::navy | ( |  | ) |
| static

## ◆ not_set()

static Color cv::viz::Color::not_set | ( |  | ) |
| static

## ◆ olive()

static Color cv::viz::Color::olive | ( |  | ) |
| static

## ◆ operator Vec3b()

cv::viz::Color::operator Vec3b | ( |  | ) | const

## ◆ orange()

static Color cv::viz::Color::orange | ( |  | ) |
| static

## ◆ orange_red()

static Color cv::viz::Color::orange_red | ( |  | ) |
| static

## ◆ pink()

static Color cv::viz::Color::pink | ( |  | ) |
| static

## ◆ purple()

static Color cv::viz::Color::purple | ( |  | ) |
| static

## ◆ raspberry()

static Color cv::viz::Color::raspberry | ( |  | ) |
| static

## ◆ red()

static Color cv::viz::Color::red | ( |  | ) |
| static

## ◆ rose()

static Color cv::viz::Color::rose | ( |  | ) |
| static

## ◆ silver()

static Color cv::viz::Color::silver | ( |  | ) |
| static

## ◆ teal()

static Color cv::viz::Color::teal | ( |  | ) |
| static

## ◆ turquoise()

static Color cv::viz::Color::turquoise | ( |  | ) |
| static

## ◆ violet()

static Color cv::viz::Color::violet | ( |  | ) |
| static

## ◆ white()

static Color cv::viz::Color::white | ( |  | ) |
| static

## ◆ yellow()

static Color cv::viz::Color::yellow | ( |  | ) |
| static

The documentation for this class was generated from the following file:

- viz/include/opencv2/viz/types.hpp